> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Roles

> List the tenant's roles. Requires a system key with ``org:admin``.



## OpenAPI

````yaml get /v1/admin/roles
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/admin/roles:
    get:
      tags:
        - V1 - Roles
      summary: List Roles
      description: List the tenant's roles. Requires a system key with ``org:admin``.
      operationId: list_roles
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  additionalProperties: true
                  type: object
                type: array
                title: Response List Roles
      security:
        - APIKeyHeader: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````